## ---- echo = FALSE, message = FALSE-------------------------------------------
library(knitr)
knitr::opts_chunk$set(
    error = FALSE,
    tidy  = FALSE,
    message = FALSE,
    warning = FALSE,
    fig.align = "center")

## -----------------------------------------------------------------------------
library(rGREAT)
rGREAT:::BIOC_ANNO_PKGS$txdb

## ---- eval = FALSE------------------------------------------------------------
#  great(gr, "GO:BP", "galGal6")

## ---- eval = FALSE------------------------------------------------------------
#  great(gr, "GO:BP", "TxDb.Ggallus.UCSC.galGal6.refGene")

## ---- eval = FALSE------------------------------------------------------------
#  # Giant panda
#  great(gr, "GO:BP", biomart_dataset = "amelanoleuca_gene_ensembl")

## -----------------------------------------------------------------------------
library(msigdbr)
msigdbr_species()

## -----------------------------------------------------------------------------
h_gene_sets = msigdbr(species = "chimpanzee", category = "H")
head(h_gene_sets)

## -----------------------------------------------------------------------------
# convert to a list of gene sets
h_gene_sets = split(h_gene_sets$entrez_gene, h_gene_sets$gs_name)
h_gene_sets = lapply(h_gene_sets, as.character)  # just to make sure gene IDs are all in character.
h_gene_sets[1:2]

## ---- eval = FALSE------------------------------------------------------------
#  great(gr, h_gene_sets, "panTro6")

